Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel
Class JDBC3SavepointManager

    java.lang.Object
      org.apache.openjpa.jdbc.kernel.AbstractJDBCSavepointManager
          org.apache.openjpa.jdbc.kernel.JDBC3SavepointManager

All Implemented Interfaces:
  SavepointManager, Configurable

    public class JDBC3SavepointManager

extends AbstractJDBCSavepointManager

`SavepointManager` implementation that uses JDBC 3 savepoints to store state. This plugin has the side effect of triggering a flush on the `Broker`. Note that this plugin requires a database and JDBC driver which supports JDBC 3 savepoints

Since:
  0.3.4
Author:
  Steve Kim

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.jdbc.kernel.AbstractJDBCSavepointManager
`AbstractJDBCSavepointManager.ConnectionSavepoint`

Constructor Summary
`JDBC3SavepointManager()`

Method Summary
`protected void` | `rollbackDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)` Rollback the datastore savepoint.
`protected void` | `setDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)` Set the datastore savepoint.

Methods inherited from class org.apache.openjpa.jdbc.kernel.AbstractJDBCSavepointManager
`endConfiguration, getRestoreFieldState, newSavepoint, setConfiguration, setRestoreFieldState, startConfiguration, supportsIncrementalFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBC3SavepointManager

    public JDBC3SavepointManager()

Method Detail

### rollbackDataStore

    protected void rollbackDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)

  Description copied from class: `AbstractJDBCSavepointManager`
  Rollback the datastore savepoint.

  Specified by:
    `rollbackDataStore` in class `AbstractJDBCSavepointManager`

### setDataStore

    protected void setDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)

  Description copied from class: `AbstractJDBCSavepointManager`
  Set the datastore savepoint.

  Specified by:
    `setDataStore` in class `AbstractJDBCSavepointManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.